# Create dovecot group 
if ! grep -q "^dovecot:" /etc/group ; then
groupadd -g 202 dovecot
echo ":: Added dovecot group."
sleep 3
fi

# Create dovecot user 
if ! grep -q "^dovecot:" /etc/passwd ; then
useradd -u 202 -g 202 -d /dev/null -s /bin/false dovecot
echo ":: Added dovecot user."
sleep 3
fi

# Create dovenull group 
if ! grep -q "^dovenull:" /etc/group ; then
groupadd -g 248 dovenull
echo ":: Added dovenull group."
sleep 3
fi

# Create dovenull user 
if ! grep -q "^dovenull:" /etc/passwd ; then
useradd -u 248 -g 248 -d /dev/null -s /bin/false dovenull
echo ":: Added dovenull user."
sleep 3
fi

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}
preserve_perms etc/rc.d/rc.dovecot.new

( cd usr/libexec/dovecot ; rm -rf deliver )
( cd usr/libexec/dovecot ; ln -sf dovecot-lda deliver )
( cd usr/bin ; rm -rf dsync )
( cd usr/bin ; ln -sf doveadm dsync )
( cd usr/lib64/dovecot ; rm -rf libdovecot-fts.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-fts.so.0.0.0 libdovecot-fts.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-compression.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-compression.so.0.0.0 libdovecot-compression.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot-fts.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-fts.so.0.0.0 libdovecot-fts.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot-lda.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-lda.so.0.0.0 libdovecot-lda.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot-compression.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-compression.so.0.0.0 libdovecot-compression.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-dsync.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-dsync.so.0.0.0 libdovecot-dsync.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot-login.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-login.so.0.0.0 libdovecot-login.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-storage.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-storage.so.0.0.0 libdovecot-storage.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-lda.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-lda.so.0.0.0 libdovecot-lda.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-sql.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-sql.so.0.0.0 libdovecot-sql.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot.so.0.0.0 libdovecot.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-storage.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-storage.so.0.0.0 libdovecot-storage.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot-sql.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-sql.so.0.0.0 libdovecot-sql.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot-dsync.so.0 )
( cd usr/lib64/dovecot ; ln -sf libdovecot-dsync.so.0.0.0 libdovecot-dsync.so.0 )
( cd usr/lib64/dovecot ; rm -rf libdovecot-login.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot-login.so.0.0.0 libdovecot-login.so )
( cd usr/lib64/dovecot ; rm -rf libdovecot.so )
( cd usr/lib64/dovecot ; ln -sf libdovecot.so.0.0.0 libdovecot.so )
